Skip to content
Start here

Get Cron Triggers

workers.scripts.schedules.get(strscript_name, ScheduleGetParams**kwargs) -> ScheduleGetResponse
GET/accounts/{account_id}/workers/scripts/{script_name}/schedules

Fetches Cron Triggers for a Worker.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
script_name: str

Name of the script, used in URLs and route configuration.

ReturnsExpand Collapse
class ScheduleGetResponse:
schedules: List[Schedule]
cron: str
created_on: Optional[str]
modified_on: Optional[str]

Get Cron Triggers

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
schedule = client.workers.scripts.schedules.get(
    script_name="this-is_my_script-01",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(schedule.schedules)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "schedules": [
      {
        "cron": "*/30 * * * *",
        "created_on": "created_on",
        "modified_on": "modified_on"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "schedules": [
      {
        "cron": "*/30 * * * *",
        "created_on": "created_on",
        "modified_on": "modified_on"
      }
    ]
  },
  "success": true
}